Index: etc/config/run_locale_utils.sh
===================================================================
--- etc/config/run_locale_utils.sh	(revision 467352)
+++ etc/config/run_locale_utils.sh	(working copy)
@@ -464,9 +464,7 @@
     fi
 }
 
-#
-# cleanup/signal handler
-#
+terminate=0
 cleanup ()
 {
     if [ "$no_clean" = "" ]; then
@@ -474,6 +472,11 @@
         debug_output "rm -rf $tmpdir"
         rm -rf $tmpdir
     fi
+    if (( 0 == terminate )); then
+        #Exit if not in an exit
+        terminate=1
+        exit 1
+    fi
 }
 
 ##############################################################################
@@ -568,3 +571,5 @@
 output "## Assertions = "$assertions
 output "## FailedAssertions = "$failedassertions
 output
+
+terminate=1

